package com.hzs.member.statis.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.hzs.common.domain.member.statis.CuBonusStatis;
import com.hzs.member.statis.vo.CuBonusStatisColumnarVO;
import com.hzs.member.statis.vo.CuBonusStatisRoundVO;
import com.hzs.member.statis.vo.CuBonusStatisVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 奖金拨比统计 Mapper 接口
 */
public interface CuBonusStatisMapper extends BaseMapper<CuBonusStatis> {

    /**
     * 查询当天团队统计数据
     **/
    List<CuBonusStatis> getCuBonusStatis(CuBonusStatis cuBonusStatis);


    /**
     * 查询国外奖金拨比
     **/
    List<CuBonusStatisVO> queryForeignCountryCuBonusStatis(CuBonusStatisVO cuBonusStatisVO);

    /**
     * 查询国外奖金拨比合计
     **/
    CuBonusStatisVO queryForeignCountryCuBonusStatisSum(CuBonusStatisVO cuBonusStatisVO);

    /**
     * 查询一年注册、升级、复购、嗨粉合计
     **/
    CuBonusStatisColumnarVO queryYearData(CuBonusStatisColumnarVO columnarVO);

    /**
     * 查询奖金拨比(饼状图)
     **/
    CuBonusStatisRoundVO queryDiallingRatio(CuBonusStatisRoundVO roundVO);

    /**
     * 查询小于当天全部已支付或撤单订单信息
     **/
    List<CuBonusStatisVO> querySaOrderByLessDay(CuBonusStatisVO cuBonusStatisVO);

    /**
     * 删除奖金拨比统计表数据
     **/
    Boolean delStatis(@Param("startDate") String startDate, @Param("endDate") String endDate);

    /**
     * 查询奖金扣项配置参数
     **/
    List<CuBonusStatisVO> bonusDeductlist(CuBonusStatisVO cuBonusStatisVO);

    /**
     * 查询分红比例配置
     **/
    List<CuBonusStatisVO> bonusDividendRatiolist(CuBonusStatisVO cuBonusStatisVO);

    /**
     * 查询国外奖金
     **/
    List<CuBonusStatisVO> queryForeignCountryBonus(CuBonusStatisVO cuBonusStatisVO);

    /**
     * 查询生效国外国家列表
     **/
    List<CuBonusStatisVO> countrylist(CuBonusStatisVO cuBonusStatisVO);


}
